extend("ahhp:green_goblin");

var utils = implement("fiskheroes:external/utils");
var models_stuff = implement("ahhp:external/model_stuff");
var body_lines = implement("fiskheroes:external/body_lines");

loadTextures({
    "glider": "ahhp:green_goblin_glider",
    "glider_lights": "ahhp:green_goblin_glider_lights",
    "pumpkin_bomb": "ahhp:green_goblin_pumpkin_bomb",
    "pumpkin_bomb_lights": "ahhp:green_goblin_pumpkin_bomb_lights",
    "model_lights": "ahhp:green_goblin_model_lights",
    "model": "ahhp:green_goblin_military_model"
});

function getColor() {
    return 0x144524;
}

function getPBColor() {
    return 0xB98C05;
}

function getBoosterFire() {
    return "ahhp:green_fire_layer_%s";
}